Package org.h2.server.web

# Class WebApp

java.lang.Object
org.h2.server.web.WebApp

public class WebApp extends Object
For each connection to a session, an object of this class is created. This class is used by the H2 Console.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Properties`
`attributes`
The session attributes
`protected boolean`
`cache`
Whether the response can be cached.
`protected String`
`headerLanguage`
The language in the HTTP header.
`protected String`
`mimeType`
The mime type of the current response.
`protected final WebServer`
`server`
The web server.
`protected org.h2.server.web.WebSession`
`session`
The session.
`protected boolean`
`stop`
Whether to close the connection.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`adminShutdown()`
Stop the application and the server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### server

protected final WebServer server
The web server.

### session

protected org.h2.server.web.WebSession session
The session.

### attributes

protected Properties attributes
The session attributes

### mimeType

protected String mimeType
The mime type of the current response.

### cache

protected boolean cache
Whether the response can be cached.

### stop

protected boolean stop
Whether to close the connection.

### headerLanguage

protected String headerLanguage
The language in the HTTP header.

## Method Details

### adminShutdown

protected String adminShutdown()
Stop the application and the server.

Returns:
  the page to display